<div class="pantalla">
{{valor1}}
</div>

<div class="botones">
  <button type="button" class="btn1" (click)="suma()">+</button>
  <button type="button" class="btn2" (click)="resta()">-</button>
</div>

<div class="mensaje">
  <p *ngIf="mensaje == true">No es posible sobrepasar el limite</p>
</div>